com.holonplatform.jaxrs.client.internal

## Class JaxrsClientRestClient

- java.lang.Object
- - com.holonplatform.http.internal.rest.AbstractRestClient
  - - com.holonplatform.jaxrs.client.internal.JaxrsClientRestClient

- All Implemented Interfaces:
    com.holonplatform.http.internal.rest.Invoker, com.holonplatform.http.rest.RestClient, com.holonplatform.http.rest.RestClientOperations<com.holonplatform.http.rest.RestClient,com.holonplatform.http.rest.RestClient.RequestDefinition>, JaxrsRestClient

      public class JaxrsClientRestClient
      extends com.holonplatform.http.internal.rest.AbstractRestClient
      implements JaxrsRestClient

  Default JAX-RS `RestClient` implementation.
  Since:
    5.0.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.http.rest.RestClient

      `com.holonplatform.http.rest.RestClient.Invocation, com.holonplatform.http.rest.RestClient.RequestDefinition`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.http.rest.RestClientOperations

      `com.holonplatform.http.rest.RestClientOperations.InvocationOperations<RE,RP,RS,RL,RU>, com.holonplatform.http.rest.RestClientOperations.RequestConfiguration<R extends com.holonplatform.http.rest.RestClientOperations.RequestConfiguration<R>>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JaxrsClientRestClient(javax.ws.rs.client.Client client)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.ws.rs.client.Client` | `getClient()` Get the JAX-RS Client bound to this RestClient.
    `<T,R> com.holonplatform.http.rest.ResponseEntity<T>` | `invoke(com.holonplatform.http.rest.RestClient.RequestDefinition requestDefinition, com.holonplatform.http.HttpMethod method, com.holonplatform.http.rest.RequestEntity<R> requestEntity, com.holonplatform.http.rest.ResponseType<T> responseType, boolean onlySuccessfulStatusCode)`

    - ### Methods inherited from class com.holonplatform.http.internal.rest.AbstractRestClient

      `clearDefaultHeaders, defaultTarget, getDefaultTarget, removeDefaultHeader, request, withDefaultHeader`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.holonplatform.jaxrs.client.JaxrsRestClient

      `create, create`

    - ### Methods inherited from interface com.holonplatform.http.rest.RestClient

      `create, create, create, forTarget, forTarget`

    - ### Methods inherited from interface com.holonplatform.http.rest.RestClientOperations

      `clearDefaultHeaders, defaultTarget, getDefaultTarget, removeDefaultHeader, request, withDefaultHeader`

- - ### Constructor Detail

    - #### JaxrsClientRestClient

          public JaxrsClientRestClient(javax.ws.rs.client.Client client)

      Constructor
      Parameters:
        `client` - Jax-rs client

  - ### Method Detail

    - #### getClient

          public javax.ws.rs.client.Client getClient()

      Description copied from interface: `JaxrsRestClient`
      Get the JAX-RS Client bound to this RestClient.
      Specified by:
        `getClient` in interface `JaxrsRestClient`
      Returns:
        the JAX-RS Client

    - #### invoke

          public <T,R> com.holonplatform.http.rest.ResponseEntity<T> invoke(com.holonplatform.http.rest.RestClient.RequestDefinition requestDefinition,
                                                                            com.holonplatform.http.HttpMethod method,
                                                                            com.holonplatform.http.rest.RequestEntity<R> requestEntity,
                                                                            com.holonplatform.http.rest.ResponseType<T> responseType,
                                                                            boolean onlySuccessfulStatusCode)

      Specified by:
        `invoke` in interface `com.holonplatform.http.internal.rest.Invoker`

Copyright © 2019 The Holon Platform. All rights reserved.